## ros-one-moveit-monitoring 0.1.0-13jammy.20251023.1648

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13jammy.20251023.1648) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 16:48:57 +0000

ros-one-moveit-monitoring (0.1.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 16:48:57 -0000

## ros-one-moveit-monitoring 0.1.0-13jammy.20251208.0945

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13jammy.20251208.0945) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Mon, 08 Dec 2025 09:45:56 +0000

## ros-one-moveit-monitoring 0.1.0-13jammy.20260128.2306

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13jammy.20260128.2306) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Wed, 28 Jan 2026 23:06:56 +0000

## ros-one-moveit-monitoring 0.1.0-13jammy.20260301.2303

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13jammy.20260301.2303) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Sun, 01 Mar 2026 23:03:00 +0000

## ros-one-moveit-monitoring 0.1.0-13noble.20251023.2133

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(moveit_monitoring)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  moveit_core
  moveit_ros_move_group
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
   src/monitor_capability.cpp
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(FILES ${PROJECT_NAME}_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13noble.20251023.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 21:33:14 +0000

ros-one-moveit-monitoring (0.1.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 21:33:14 -0000

=== debian/control ===
Source: ros-one-moveit-monitoring
Section: misc
Priority: optional
Maintainer: v4hn <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-msgs, ros-one-moveit-core, ros-one-moveit-ros-move-group
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-monitoring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-moveit-core, ros-one-moveit-ros-move-group
Description: Monitor the state of MoveIt's planning scene in the diagnostics system

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-monitoring//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-monitoring 0.1.0-13noble.20251208.1625

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13noble.20251208.1625) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Mon, 08 Dec 2025 16:25:05 +0000

## ros-one-moveit-monitoring 0.1.0-13noble.20260128.2323

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13noble.20260128.2323) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Wed, 28 Jan 2026 23:23:28 +0000

## ros-one-moveit-monitoring 0.1.0-13noble.20260301.2256

=== debian/changelog ===
ros-one-moveit-monitoring (0.1.0-13noble.20260301.2256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Sun, 01 Mar 2026 22:56:44 +0000
